#ifndef __ENGISH_DICTIONARY_H__
#define __ENGISH_DICTIONARY_H__

#include "dictionary.h"

class CEnglishDictionary :
	public Dictionary
{
public:
	CEnglishDictionary(void);
	virtual ~CEnglishDictionary(void);

	virtual BOOL ValidCharacter(WCHAR c) const;
	virtual BOOL InWordValidCharacter(WCHAR c) const;
	virtual BOOL SpellCheck(wstring & sWord, BOOL bSpeaking);

protected:
	virtual BOOL Init(const char *installDir);
	virtual int GettLetterIndx(WCHAR c)const;
	virtual WCHAR ToLower(WCHAR c)const;
	virtual void ConvertToLower(WCHAR &c)const;
};
#endif //__ENGISH_DICTIONARY_H__
